#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD7,0xE1,0x78,0xEC,0x23,0xB2,0xD1,0xA7,0x17,0xCD,0xB5,0xAC,
		0xB0,0x98,0x59,0xFE,0x33,0xE7,0x74,0x32,0x84,0x9D,0xA6,0x72,
		0x6B,0xE5,0x60,0x0E,0xA4,0xDA,0xE2,0x95,0x2A,0x01,0xF3,0xE4,
		0x7A,0xBE,0xA6,0x7E,0x4E,0xBC,0xAC,0xE3,0xA2,0x91,0x5C,0x6A,
		0x1F,0xCE,0xD1,0x75,0x52,0xE5,0xF0,0x51,0x31,0x95,0xEB,0x9D,
		0xAF,0xA7,0xEA,0x7B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
